﻿//---------------------------------------------------------------------------
#pragma hdrstop

#include "YbCommDevice.h"
#include "YbCommDesignEditors.h"
#include "Unit_YBComm32_About.h"
#include "Unit_YbCommDevice_Settings.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
namespace Ybcommdesigneditors {
//---------------------------------------------------------------------------
void __fastcall PACKAGE Register()
{
  TComponentClass classes[1] = {__classid(VictorComm32::TYbCommDevice)};
  RegisterComponents("Victor", classes, 0);
  RegisterComponentEditor(__classid(VictorComm32::TYbCommDevice),__classid(TYbCommDeviceEditor));
}
//---------------------------------------------------------------------------
void __fastcall TYbCommDeviceEditor::ExecuteVerb(int Index)
{
  if(Index == 0)
   {
     bool bPressedBtnOK;
     VictorComm32::TForm_YbCommDevice_Settings *FormSettings;
     VictorComm32::TYbCommDevice *lpComm = dynamic_cast<VictorComm32::TYbCommDevice*>(Component);

     if(lpComm)
      {
        FormSettings = new VictorComm32::TForm_YbCommDevice_Settings(NULL,lpComm,false);
        bPressedBtnOK = FormSettings->ShowModal() == IDOK;
        delete FormSettings;

        if(bPressedBtnOK)
         {
           Designer->Modified();
         }
      }
   }
  else
   {
     VictorComm32::TForm_YBComm32_About *FormAbout = new VictorComm32::TForm_YBComm32_About(NULL,Component->ClassName());
     FormAbout->ShowModal();
     delete FormAbout;
   }
}
//---------------------------------------------------------------------------
UnicodeString __fastcall TYbCommDeviceEditor::GetVerb(int Index)
{
  if(Index == 0)
    return VictorComm32::TForm_YBComm32_About::TMsgStrings().Str_Settings;
  return VictorComm32::TForm_YBComm32_About::TMsgStrings().Str_MenuAbout;
}
//---------------------------------------------------------------------------
int __fastcall TYbCommDeviceEditor::GetVerbCount(void)
{
  return 2;
}
//---------------------------------------------------------------------------
} // namespace Ybcommdesigneditors
//---------------------------------------------------------------------------
