﻿//---------------------------------------------------------------------------
// 控件演示程序，Copyright © Victor Chen

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "YbCommDevice"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
  try
   {
     YbCommDevice1->Active = true;
   }
  catch(Exception &e)
   {
     ShowMessage("YbCommDevice1: "+e.Message);
   }
}
//---------------------------------------------------------------------------
#pragma argsused // 不使用 Sender 参数
void __fastcall TForm1::ButtonSet1Click(TObject *Sender)
{
  YbCommDevice1->SettingsDialog(this,true);
}
//---------------------------------------------------------------------------
#pragma argsused // 不使用 Sender 参数
void __fastcall TForm1::ButtonSend1Click(TObject *Sender)
{
  AnsiString s = Memo1->Text; // 转成 ANSI / ASCII 传输
  YbCommDevice1->Write(s.c_str(),s.Length());
}
//---------------------------------------------------------------------------
AnsiString s; // 转成 ANSI / ASCII 传输
#pragma argsused // 不使用 Sender 参数
void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
  //收到的字节数不会超过串口缓存的容量, 所以分配一个缓存容量相同的Buf
  char Buf[8192+1]; //多一个文本结束符
  int n = YbCommDevice1->Read(Buf,8192);

  if(n>0) //收到字节数
   {
     Buf[n] = 0; //添加一个文本结束符 '\0'
     //Memo1->Text = Memo1->Text + Buf;

     s+=Buf;
     Memo1->Text = s;
   }
}
//---------------------------------------------------------------------------
#pragma argsused // 不使用 Sender 参数
void __fastcall TForm1::ButtonClearClick(TObject *Sender)
{
  s = "";
  Memo1->Text = s;
}
//---------------------------------------------------------------------------
