﻿//---------------------------------------------------------------------------
// 串口控件演示程序，Copyright © Victor Chen

#pragma hdrstop

#include "UnitTsData.h"
//---------------------------------------------------------------------------

#pragma package(smart_init)
//---------------------------------------------------------------------------

unsigned long CRC32(unsigned long c, void *s, int n)
{
  unsigned long i, b;
  for(int k=0; k<n; k++)
   {
     b=(((unsigned char*)s)[k]);
     for(i=0; i<8; i++)
      {
        c = ((b^c) & 0x0001) ? (c>>1)^0xedb88320ui32 : (c>>1);
        b>>=1;
      }
   }
  return c;
}
//---------------------------------------------------------------------------

int MakePercent(unsigned long lPos, unsigned long lCount)
{
  unsigned long lPercent = 0;

  if(lCount)
   {
     if(lCount>10000)
      {
        lPercent = lCount/100;
        lPercent = lPos/lPercent;
      }
     else
      {
        lPercent = lPos*100;
        lPercent/= lCount;
      }
     if(lPercent>100)
      {
        lPercent=100;
      }
   }

  return(int)lPercent;
}
//---------------------------------------------------------------------------
