﻿/***************************************************************************\
*                                                                           *
*          Unit_YBComm32_About.h - 串行口通讯关于窗口, 版本 1.5.0.1         *
*                              Bulid: 01-26-2010                            *
*                     Copyright © 1997-2010, Victor Chen                    *
*                      Homepage: http://www.cppfans.com                     *
*                          Email: victor@cppfans.com                        *
*                                                                           *
\***************************************************************************/

#ifndef Unit_YBComm32_AboutH
#define Unit_YBComm32_AboutH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
namespace VictorComm32 {
//---------------------------------------------------------------------------
class PACKAGE TForm_YBComm32_About : public TForm
{
__published:	// IDE-managed Components
    TBitBtn *BnOK;
    TImage *Image1;
    TLabel *LabelCaption;
    TLabel *LabelVersion;
    TLabel *LabelCo;
    TLabel *LabelHomepage;
    TLabel *LabelEmail;
    TBevel *Bevel1;
    TLabel *LabelOSVer;
    TLabel *LabelPmtUser;
    TLabel *LabelPmtOrgn;
    TLabel *LabelUser;
    TLabel *LabelUserOrg;
    void __fastcall LabelHomepageClick(TObject *Sender);
    void __fastcall LabelEmailClick(TObject *Sender);
    void __fastcall BnOKClick(TObject *Sender);
private:	// User declarations
    void __fastcall ShowSysInfo(void);
public:		// User declarations
    class PACKAGE TMsgStrings
     {
     public:
       __property UnicodeString Str_About        = { read = fGetMsg, index =  0 }; //"关于"
       __property UnicodeString Str_DotDotDot    = { read = fGetMsg, index =  1 }; //"……"
       __property UnicodeString Str_User         = { read = fGetMsg, index =  2 }; //"用户"
       __property UnicodeString Str_Orgn         = { read = fGetMsg, index =  3 }; //"单位"
       __property UnicodeString Str_CRgtVersion  = { read = fGetMsg, index =  4 }; //"版本: 1.00"
       __property UnicodeString Str_CRgtCoName   = { read = fGetMsg, index =  5 }; //"Copyright (c) Victor Chen"
       __property UnicodeString Str_CRgtHomePage = { read = fGetMsg, index =  6 }; //"http://www.cppfans.com"
       __property UnicodeString Str_CRgtAuEmail  = { read = fGetMsg, index =  7 }; //"victor@cppfans.com"
       __property UnicodeString Str_CRgtAuMailTo = { read = fGetMsg, index =  8 }; //"mailto:victor@cppfans.com"
       __property UnicodeString Str_OK           = { read = fGetMsg, index =  9 }; //"确定"
       __property UnicodeString Str_Settings     = { read = fGetMsg, index = 10 }; //"设置(&S)..."
       __property UnicodeString Str_MenuAbout    = { read = fGetMsg, index = 11 }; //"关于(&A)..."
       __fastcall TMsgStrings();

     private:
       const wchar_t **_Msg;
       UnicodeString __fastcall fGetMsg(int);
       TComm32Language _Comm32Language;
     };
    __fastcall TForm_YBComm32_About(TComponent* Owner, UnicodeString PName);
};
//---------------------------------------------------------------------------
// extern PACKAGE TForm_YBComm32_About *Form_YBComm32_About;
//---------------------------------------------------------------------------
} // namespace VictorComm32
//---------------------------------------------------------------------------
#endif
